View Issue Details

IDProjectCategoryView StatusLast Update
0013498MediaMonkey 5Conversion/Levelingpublic2021-06-24 16:40
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityunable to reproduce
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0013498: Device sync: Our reservation isn't always enough when auto-conversion is faster than copying
DescriptionWhen user sync a device with enabled auto-conversion then the files are pre-converted to temp and are deleted once are copied to the device, but if conversion is faster than copying and there is thousands of files to copy then the temp drive is filled up and only 100 MB is reserved.

Based on the findings from ticket #DOQ-259-16460 the 100 MB isn't enough. Something else is probably eating the disk space and the computer crashes.

I guess we should modify it to reserve at least 1GB.

Note that we have already covered the situation when there isn't a space for a single file as 0012440, in that case the error dialog is shown, otherwise the converter just waits until the other files are copied to the device and freed.

TagsNo tags attached.
Fixed in build2406

Relationships

related to 0012440 closedLudek MediaMonkey 4 No feedback to user that temp drive has insufficient free space 
related to 0010472 closedLudek MediaMonkey 4 Auto-Conversion fills drive 
related to 0018064 closedLudek MediaMonkey 5 Sync stalls with "Waiting for file to convert" once 50 tracks have been already pre-converted (regresison 5.0.1) 

Activities

Ludek

2016-09-06 19:32

developer   ~0045580

Increased to 1GB in build 1809+

peke

2016-09-13 21:45

developer   ~0045645

Verified 1809

Ludek

2021-05-17 10:46

developer   ~0063238

Last edited: 2021-05-17 10:55

View 3 revisions

Re-opened to make further improvements based on feedback here:
https://www.mediamonkey.com/forum/viewtopic.php?p=481581#p481581

To limit the amount of pre-converted tracks to at most 50 files and/or 20-30GBs (together with the existing limit of 1GB free space).
This sounds good, just probably would be sub-optimal when audio files are copied/converted prior to video files -- as videos usually takes longer time to convert than copy (in case of audio it is vice versa).

Ludek

2021-05-17 13:18

developer   ~0063247

Added the limit to 50 pre-converted tracks in build 2406

peke

2021-06-20 12:58

developer   ~0064026

Verified 2418

It is working normally, if users complain on slower video sync in future versions e can consider expanding thist to work per type eg. 50 audio and 50 Videos